# PhotoDemon 7.0

![Screenshot](http://photodemon.org/images/PD_70_b1.jpg)

### PhotoDemon is a portable photo editor focused on performance and usability.  

It provides a comprehensive photo editor in a 12 MB download.  It runs on any Windows machine (XP through Win 10) and it *does not* require installation.  Feel free to run it from a USB stick or portable drive.

PhotoDemon is completely open-source and available under a permissive BSD license.  Contributors have translated the program into more than twenty languages.

New contributions from coders, designers, translators, and enthusiasts are always welcome.

* For information on the latest stable release, visit http://photodemon.org
* To download the program's source code, visit https://github.com/tannerhelland/PhotoDemon
* To download a nightly build of the latest source code, visit http://photodemon.org/downloads/nightly/PhotoDemon_nightly.zip 

***

## What makes PhotoDemon unique?

### Lightweight and completely portable
No installer is provided or required.  Aside from a temporary folder – which you can specify from the Tools > Options menu – it leaves no trace on your hard drive.  Many users run PhotoDemon from a USB stick or portable drive.

### Integrated macro recording and batch processing
Complex editing actions can be recorded as macros (similar to Office software).  A built-in batch processor lets you apply your macros to entire folders of images.

### Usability is paramount
Many open-source photo editors are usability nightmares.  PhotoDemon tries not to be.  Small touches like save/load presets on all tools, unlimited Undo/Redo, "Fade last action", keyboard accelerators, effect previews, mouse wheel and X-button support, and descriptive menu icons make it fast and easy to use.

### Pro-grade features and tools
* Extensive file format support, including all major RAW formats
* Color-managed workflow, including full support for embedded ICC profiles
* Non-destructive editing for select features, including resizing, rotation, and common adjustments
* 2D transformations: advanced rescale operators (Sinc, Catmull-Rom, etc), content-aware scaling (seam carving), crop, straighten, shear, zoom
* Adjustment tools: levels, curves, HDR, white balance, split-toning, green screen, Wratten filters, and many more
* Filters and effects: perspective correction, edge detection, noise removal, content-aware blur, unsharp masking, lens diffraction, vignetting, and many more
* Some ~200 tools are provided in the current build.

### Limitations

* PhotoDemon isn't designed for OSes other than Microsoft Windows.  A compatibility layer like Wine (http://www.winehq.org/) may allow it to work on OSX, Linux, or BSD systems, but program stability and performance may suffer.

### Contributions
PhotoDemon is maintained by a single individual with a family to support.  If you would like to make a small donation to support ongoing development, please visit:

http://photodemon.org/donate/

A full list of (wonderful!) contributors is available in AUTHORS.md.

### How is PhotoDemon and its source code licensed?

PhotoDemon is BSD-licensed.  This allows you to use its source code in any application, commercial or otherwise, if you supply proper attribution.  Proper attribution includes a notice of copyright and disclaimer of warranty.

PhotoDemon uses some 3rd-party libraries.  These libraries are found in the /App/PhotoDemon/Plugins folder.  These libraries have their own licenses, separate from PhotoDemon.

Full licensing details are available in LICENSE.md.
